Pomoc:Rozszerzenie:Translate/Instalacja

From MediaWiki.org
Jump to navigation Jump to search
This page is a translated version of the page Help:Extension:Translate/Installation and the translation is 62% complete.

Other languages:
Deutsch • ‎Deutsch (Sie-Form)‎ • ‎English • ‎Kiswahili • ‎Lëtzebuergesch • ‎Nederlands • ‎Türkçe • ‎Zazaki • ‎català • ‎dansk • ‎español • ‎français • ‎italiano • ‎lietuvių • ‎polski • ‎português • ‎português do Brasil • ‎slovenčina • ‎svenska • ‎čeština • ‎русский • ‎українська • ‎العربية • ‎हिन्दी • ‎বাংলা • ‎中文 • ‎日本語 • ‎한국어

The Translate extension, due to its nature of rapid development, requires a relatively recent version of MediaWiki to work. The aim is to support the development version and the two latest stable versions of MediaWiki. In package managers, the version may be too old to fulfill the requirements. In that case you need to download a newer release from mediawiki.org or from Wikimedia's Git repository.

The Translate extension uses a continuous development model, which means that latest version should never be totally broken, because all commits to Translate extension are peer reviewed and pass unit tests. The core functionality is pretty stable, but there may be bigger changes from time to time.

Wymagania

Poniższe oprogramowanie jest wymagane aby zainstalować to rozszerzenie:

  1. Najnowsza wersja MediaWiki
  2. Baza danych MySQL lub SQLite (eksperymentalne)
  3. Rozszerzenie Universal Language Selector (dołączone do MediaWiki Language Extension Bundle)
  4. (opcjonalnie) PHPlot do generowania wykresów statystyk
  5. (opcjonalnie) Syck lub phpyaml do szybszego parsowania i generowania YAML
  6. (opcjonalnie) ElasticSearch do zaawansowanych funkcji wyszukiwania i obsługi pamięci tłumaczeń
  7. (opcjonalnie) Dostęp do Internetu na serwerze, aby uzyskiwać dostęp do serwisów tłumaczeń
PHP musi mieć zainstalowany moduł curl, aby działała funkcja podpowiedzi tłumaczeń.

MediaWiki needs to have the job queue set up correctly. If your job queue is not processed, nothing will work in Translate.

Dodatkowo wymagany jest dostęp shell aby uruchamiać skrypty konserwacyjne.

The use of memcached for caching and for example APC PHP accelerator is recommended in a production environment.

Instrukcje instalacji

See MediaWiki Language Extension Bundle for download links and instructions. The bundle includes a couple of more extensions commonly used together with Translate extension. It also includes an useful default configuration to get you started.

Istnieje wiele ustawień konfiguracyjnych, które mogą włączyć nowe funkcje lub zmienić sposób działania rozszerzenia. Zobacz opis tych ustawień.